Skip to main content

Create a voiceprint

POST 

/spaces/{owner}/{space}/voiceprints

Create a new voiceprint by providing its details.

Review the voiceprint models to select which one to use and its version.

Path Parameters​


    owner string<handle>required

    The handle of the owner.

    Possible values: non-empty and <= 50 characters


    space string<handle>required

    The handle of the space.

    Possible values: non-empty and <= 50 characters

Body

required

application/json

    handlestring

    The handle of the new voiceprint. Must be unique.

    Format: string<handle>

    Possible values: non-empty and <= 50 characters

    Example: voiceprint-a

    aliasstring | null

    The alias of the new voiceprint.

    Format: string,null<alias>

    Possible values: non-empty and <= 100 characters

    Example: Voiceprint A

    modelstringrequired

    The model used to compute the new voiceprint. See voiceprint models.

    Example: phone/v1

    identitystringrequired

    The handle of the identity of the new voiceprint.

    Format: string<handle>

    Possible values: non-empty and <= 50 characters

    Example: identity-a

    minAudiosintegerrequired

    The minimum number of audios required to compute the new voiceprint.

    Format: integer<int32>
    Example: 3

Responses​

The created voiceprint

Response Body

application/json

    idstringrequired

    The UUID of the voiceprint. Is unique.

    Format: string<uuid>
    Example: 00000000-0000-0000-0000-000000000000

    handlestringrequired

    The handle of the voiceprint. Is unique.

    Format: string<handle>
    Example: voiceprint-a

    aliasstring | nullrequired

    The alias of the voiceprint.

    Format: string,null<alias>
    Example: Voiceprint A

    statestringrequired

    The state of the voiceprint

    Format: VoiceprintState (string)

    Possible values: [notComputable, computable, computed]

    Example: notComputable

    modelstringrequired

    The model of the voiceprint. See voiceprint models.

    Example: phone/v1

    identityobjectrequired

    The identity of the voiceprint.


    handlestringrequired

    The handle of the identity. Is unique.

    Format: string<handle>
    Example: identity-a

    aliasstring | nullrequired

    The alias of the identity.

    Format: string,null<alias>
    Example: Identity A

    totalDurationstringrequired

    The total duration of the audios added to the voiceprint.

    Format: string<duration>
    Example: PT7.500S

    minAudiosintegerrequired

    The minimum number of audios required to compute the voiceprint.

    Format: integer<int32>
    Example: 3

    audiosintegerrequired

    The number of audios added to the voiceprint.

    Format: integer<int32>
    Example: 2

    verificationsintegerrequired

    The number of verifications of the voiceprint.

    Format: integer<int32>
    Example: 10

    createdAtstringrequired

    The date and time when the voiceprint was created.

    Format: string<date-time>
    Example: 2023-01-01T00:00:00.000000Z

    computedAtstringrequired

    The date and time when the voiceprint was computed.

    Format: string<date-time>
    Example: 2023-01-01T00:00:00.000000Z

Example from Schema​

{
"id": "00000000-0000-0000-0000-000000000000",
"handle": "voiceprint-a",
"alias": "Voiceprint A",
"state": "notComputable",
"model": "phone/v1",
"identity": {
"handle": "identity-a",
"alias": "Identity A"
},
"totalDuration": "PT7.500S",
"minAudios": 3,
"audios": 2,
"verifications": 10,
"createdAt": "2023-01-01T00:00:00.000000Z",
"computedAt": "2023-01-01T00:00:00.000000Z"
}